/**
 * Copyright: Copyright (c) 2009 Jacob Carlborg.
 * Authors: Jacob Carlborg
 * Version: Initial created: Sep 24, 2009 
 * License: $(LINK2 http://www.boost.org/LICENSE_1_0.txt, Boost Software License 1.0)
 */
module dstep.quartzcore.CVOpenGLTexture;

import dstep.corevideo.CVImageBuffer;
import dstep.corevideo.CVOpenGLTexture;
import dstep.objc.bridge.Bridge;
import dstep.objc.objc;

alias CVImageBufferRef CVOpenGLTextureRef;

extern (C)
{
	uint CVOpenGLTextureGetTypeID ();
	CVOpenGLTextureRef CVOpenGLTextureRetain (CVOpenGLTextureRef texture);
	void CVOpenGLTextureRelease (CVOpenGLTextureRef texture);
	uint CVOpenGLTextureGetTarget (CVOpenGLTextureRef image);
	uint CVOpenGLTextureGetName (CVOpenGLTextureRef image);
	ubyte CVOpenGLTextureIsFlipped (CVOpenGLTextureRef image);
	void CVOpenGLTextureGetCleanTexCoords (CVOpenGLTextureRef image, float[2] lowerLeft, float[2] lowerRight, float[2] upperRight, float[2] upperLeft);
}